Bug 567184 (CVE-2010-1087) - CVE-2010-1087 kernel: NFS: Fix an Oops when truncating a file
Summary: CVE-2010-1087 kernel: NFS: Fix an Oops when truncating a file
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-1087
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 570093 (view as bug list)
Depends On: 567193 567194 567195 567196
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-22 05:48 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:34 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:40:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0504 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-07-01 18:26:58 UTC
Red Hat Product Errata RHSA-2010:0631 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-08-18 07:58:39 UTC

Description Eugene Teo (Security Response) 2010-02-22 05:48:11 UTC
Description of problem:
The VM/VFS does not allow mapping->a_ops->invalidatepage() to fail. Unfortunately, nfs_wb_page_cancel() may fail if a fatal signal occurs. Since the NFS code assumes that the page stays mapped for as long as the writeback is active, we can end up Oopsing (among other things).

The only safe fix here is to convert nfs_wait_on_request(), so as to make it uninterruptible (as is already the case with wait_on_page_writeback()).

Upstream commit:
http://git.kernel.org/linus/9f557cd8073104b39528794d44e129331ded649f

Comment 2 Eugene Teo (Security Response) 2010-03-03 09:35:41 UTC
*** Bug 570093 has been marked as a duplicate of this bug. ***

Comment 3 errata-xmlrpc 2010-07-01 18:27:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0504 https://rhn.redhat.com/errata/RHSA-2010-0504.html

Comment 4 errata-xmlrpc 2010-08-17 15:52:48 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0631 https://rhn.redhat.com/errata/RHSA-2010-0631.html


Note You need to log in before you can comment on or make changes to this bug.